summaryrefslogtreecommitdiff
path: root/bin/tests_okify.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2016-07-20 15:42:41 -0400
committerJoseph Hunkeler <jhunkeler@gmail.com>2016-07-20 15:42:41 -0400
commitde413e7ae293f2b919e2e75369c1ecb8a0c83975 (patch)
tree143ea097ea9e740c48b62335d468e9b0543be7b3 /bin/tests_okify.sh
downloadastroconda-control-de413e7ae293f2b919e2e75369c1ecb8a0c83975.tar.gz
Initial commit
Diffstat (limited to 'bin/tests_okify.sh')
-rwxr-xr-xbin/tests_okify.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/bin/tests_okify.sh b/bin/tests_okify.sh
new file mode 100755
index 0000000..b46c43d
--- /dev/null
+++ b/bin/tests_okify.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+source /eng/ssb/auto/astroconda/include/midnight_special.sh
+source /eng/ssb/auto/astroconda/include/pre-common.sh
+
+if [ "$groupdir" = "" ]
+then
+ groupdir=/eng/ssb
+else
+ echo groupdir is:
+ echo $groupdir
+fi
+
+
+# find our host name because it is used in the name of the okify file
+h=`hostname -s`
+echo $h
+
+# where the okify files are
+cd "$groupdir/tests/pdk_updates"
+
+ls -l
+
+if [[ ! -f $h.ok ]]; then
+ echo no $h.ok
+ exit 0
+fi
+
+# not processing directly from the active file
+rm -f $h.ok.process
+mv $h.ok $h.ok.process
+
+echo START
+
+pdk ok -w $h.ok.process
+status=$?
+
+echo END
+
+exit $status
+